Subject: RE: [manet] Hello messages in AODV

From: "Mullen, John" <[email-masked]>
Date: Fri, 30 Sep 2005 08:50:33 -0600

Hi,

The number of MAC retransmissions has other significant effects.  In a MANET, transmission range is a function of the usual propagation conditions, plus the nature of link failure detection and the routing protocol itself.  If the number of retransmissions is too high, the protocol tends to retain a poor link too long, rather than search for a better one.  Since the mean number of transmissions is highest at the limit of transmission range, the network's performance is very sensitive to this setting.  Using Rayleigh fading as a first-order approximation to the variation in received signal strength, we have simulation results that indicate that the maximum number of MAC retries should be limited to two or three, unless the net is locally sparse.  Using a retry limit of six or seven can halve throughput and sharply increase mean delay.  Here is a paper which discusses this topic, among others.  The discussion of this particular point begins at the bottom of page 7.

http://web.nmsu.edu/~jomullen/MyPapers/Mullen-MWCN_2004.pdf

I will be presenting a paper that focuses more on this subject, as well as more on the impact of Hello messages, in two weeks at MSWIM in Montreal. If you want to check back I should have that paper on my web site by the end of October.

http://web.nmsu.edu/~jomullen/MANET.html

John P. Mullen
 
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Gabi Kliot
Sent: Friday, September 30, 2005 2:10 AM
To: 'Carles Gףmez'; [email-masked]
Subject: RE: [manet] Hello messages in AODV

Hi

The lack of a number of Hello messages from a neighbor is sure one of the ways to detect link failures.
I would say that it is a proactive way to detect link failures.

The reactive way is for routing protocol to receive MAC layer notifications after MAC fails in all its retransmission for a single message.
Here the number of MAC layer retransmissions would play an important role on the performance of routing algorithm and on the bandwidth and power consumption. The smaller the number of MAC retransmissions - the faster we will detect the link failure, the less power is wasted and etc.. But on the bad side: the smaller the number of MAC retransmissions
- the higher is the chance for "false alarms", false detection of link failure, which could actually be caused by temporal contention. Such false alarm will destroy perfectly good route, can cause useless RERR messages, etc...
As far as I know, the usually common number of MAC retransmissions is 6-7.

MAC layer failure notifications are also simulated in NS-2 and in Glomosim.

One of the interesting ideas here could be to evaluate the tradeoffs (the ones Carles mentioned) as a function of both HELLO_INTERVAL and MAC layer retransmissions.

Best regards,

Gabi Kliot
Technion - Israel Institute of Technology

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Carles Gףmez
> Sent: Thursday, September 29, 2005 8:48 PM
> To: [email-masked]
> Subject: Re: [manet] Hello messages in AODV
> 
> 
> Hola Alicia,
> 
> The lack of a number of Hello messages from a neighbor in an active 
> route may be used as a way to detect a link failure.
> 
> A study on the impact of the hello message mechanism on a lab AODV 
> ad-hoc network has recently been published in PIMRC'05. The paper is 
> entitled "Evaluating performance of real ad-hoc networks using AODV 
> with hello message mechanism for maintaining local connectivity". Some 
> tradeoffs (reactivity to topology changes Vs. bandwidth and power
> consumption) are
> evaluated as a function of HELLO_INTERVAL. If you are interested in 
> it, please e-mail me.
> 
> Best regards,
> 
> Carles Gomez i Montenegro
> Technical University of Catalonia
> 
> -------------------------------------------------
> This mail sent through IMP: http://horde.org/imp/
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet